
//订单状态枚举
export const ORDER_STATUS = {
    SaleorderstatusWaitingPrePayment : {value:10, label:'预付款'}, // 预付款
    SaleOrderStatusBooking  : {value:0, label:'待接单'}, // 待接单
    SaleOrderStatusArranging : {value:1, label:'配布中'}, // 配布中
    SaleOrderStatusArranged : {value:2, label:'已配布'}, // 已配布
    SaleOrderStatusWaitingPayment : {value:7, label:'待付款'}, // 待付款
    SaleOrderStatusTaking: {value: 11, label:'提货中'}, //提货中
    SaleOrderStatusWaitingDelivery : {value:3, label:'待发货'}, // 待发货
    SaleOrderStatusWaitingReceipt : {value:8, label:'待收货'}, // 待收货
    SaleOrderStatusAlreadyReceipt : {value:9, label:'已收货'}, // 已收货
    SaleOrderStatusComplete : {value:4, label:'已完成'}, // 已完成
    SaleOrderStatusRefund : {value:6, label:'已退款'}, // 已退款
    SaleOrderStatusCancel : {value:5, label:'已取消'}, // 已取消
}

//售后单状态枚举
export const AFTER_ORDER_STATUS = {
    ReturnStageApplying                  : {value:0, label:'申请中'}, // 申请中
    ReturnStageWaitCheck                 : {value:1, label:'退货中'}, // 退货中
    ReturnStageChecked                   : {value:2, label:'待验布'}, // 待验布
    ReturnStageReturned                  : {value:3, label:'已退款'}, // 已退款
    ReturnStageCancel                    : {value:4, label:'已取消'}, // 已取消
    ReturnStageQualityCheckPendingRefund : {value:5, label:'待退款'}, // 已验布
    ReturnStageServiceOrderPendingRefund : {value:6, label:'待退款'}, // 待退款
    ReturnStageRejected                  : {value:7, label:'已拒绝'}, // 已拒绝
}

//支付方式
export const PAYMENT_METHOD = {
    PaymentMethodPreDeposit: {value:1, label:'预存款'},
    PaymentMethodAccountPeriod : {value:2, label:'账期'},
    PaymentMethodofflineRemittance: {value:0, label:'线下汇款'},
    PaymentMethodScanCodeToPay: {value:3, label:'扫码支付'},
    PaymentMethodCashOnDelivery: {value:4, label:'货到付款'},
}
export type PAYMENT_METHOD_PARAM = 0|1|2|3|4


//订单类型
export const SALE_MODE = {
    SaLeModeBulk: {value:0, label:'大货'},
    SaleModeLengthCut: {value:1, label:'剪版'},
    SaLeModeWeightCut: {value:2, label:'散剪'},
} 

//分享场景枚举
export const SHARE_SCENE = {
    ShareDetail: {value:1, label:'详情分享'},
    SharePage : {value:2, label:'页面分享'},
}

//订阅消息
export const  SUBSCRIPTION_MESSAGE_SCENE = {
    SubmitOrder: {value:1, label:'确认下单'},
    ToPay : {value:2, label:'去付款'},
    ApplyGoods: {value:3, label: '申请退款'}
}